set(CPACK_COMPONENTS_GROUPING ALL_COMPONENTS_IN_ONE)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

# installer rules. 
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Installation.")
set(CPACK_PACKAGE_VENDOR "GANDY Bruno")
set(CPACK_PACKAGE_VERSION ${CMAKE_PROJECT_VERSION})
set(CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VER_MAJOR})
set(CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VER_MINOR})
set(CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VER_PATCH})

set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "${PROJECT_NAME}")
set(CPACK_PACKAGE_FILE_NAME "${PROJECT_NAME}-${CMAKE_PROJECT_VERSION}")

set(CPACK_GENERATOR "ZIP")
SET(CPACK_OUTPUT_FILE_PREFIX ${PROJECT_SOURCE_DIR}/dist)


# Detect witch platform is the compiler 64bits or 32bits
if(CMAKE_SIZEOF_VOID_P EQUAL 8)
    set(TRICE_IS_64_BIT 1)
elseif(CMAKE_SIZEOF_VOID_P EQUAL 4)
    set(TRICE_IS_64_BIT 0)
endif()

if (CMAKE_BUILD_TYPE STREQUAL "Release")
    add_custom_command( 
    TARGET ${PROJECT_NAME}   POST_BUILD    
    COMMAND ${CMAKE_CPACK_COMMAND}
    WORKING_DIRECTORY ${CMAKE_BINARY_DIR}
    COMMENT "Running CPack. Please wait..."
    )
endif ()
